/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package business.collections;

import business.base.BaseSubject;
import business.base.IList;
import business.base.IListItem;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author balikm1
 */
public class SubjectList implements IList {

    private List<BaseSubject> list = new ArrayList<BaseSubject>();
    private int index = 0;
    private static SubjectList instance;

    private SubjectList() { }

    public static SubjectList getInstance()
    {
        if (instance == null)
        {
            instance = new SubjectList();
        }
        return instance;
    }

    public void add(BaseSubject subject)
    {
        list.add(subject);
    }

    public void remove(BaseSubject subject)
    {
        list.remove(subject);
    }

    // <editor-fold defaultstate="collapsed" desc="IList methods">

    public IListItem current() {
        if (index < list.size())
            return list.get(index);
        else return null;
    }

    public IListItem next() {
        if (hasNext())
        {
            index++;
            return list.get(index);
        } else
            return null;
    }

    public boolean hasNext() {
        return index < list.size()-1;
    }

    public IListItem previous() {
        if (hasPrevious()) {
            index--;
            return list.get(index);
        } else
            return null;
    }

    public boolean hasPrevious() {
        return index > 0;
    }

    // </editor-fold>

}
