/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package javakos;

import business.collections.StudentList;
import business.collections.SubjectList;
import business.entities.LabSubject;
import business.entities.Student;
import business.entities.TheoreticalSubject;
import gui.ListFrame;
import java.text.ParseException;
import java.text.SimpleDateFormat;

/**
 *
 * @author balikm1
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        SubjectList subL =  SubjectList.getInstance();
        TheoreticalSubject su1 = new TheoreticalSubject("Matematika", "MA", 6);
        LabSubject su2 = new LabSubject("Chemie", "CH", 4);
        subL.add(su1);
        subL.add(su2);
        StudentList l = StudentList.getInstance();
        try {
            Student s1 = new Student("Jan", "Novak", new SimpleDateFormat("yyyy-MM-dd").parse("1990-10-03"), 12345);
            s1.registerSubject(su1);
            s1.registerSubject(su2);
            Student s2 = new Student("Jiří", "Doubek", new SimpleDateFormat("yyyy-MM-dd").parse("1985-04-11"), 67890);
            s2.registerSubject(su2);
            l.add(s1);
            l.add(s2);
        } catch (ParseException ex) {
            ex.printStackTrace();
        }

        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ListFrame(StudentList.getInstance()).setVisible(true);
            }
        });
    }

}
