/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package business.collections;

import business.base.IList;
import business.base.IListItem;
import business.entities.Result;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author balikm1
 */
public class ResultList implements IList {
    
    private List<Result> list = new ArrayList<Result>();
    private int index = 0;

    public void add(Result result)
    {
        list.add(result);
    }

    public void remove(Result result)
    {
        list.remove(result);
    }

    // <editor-fold defaultstate="collapsed" desc="IList methods">

    public IListItem current() {
        if (index < list.size()) {
          return list.get(index);
        } else return null;
    }

    public IListItem next() {
        if (hasNext()) {
          index++;
          return list.get(index);
        } else return null;
    }

    public boolean hasNext() {
        return index < list.size()-1;
    }

    public IListItem previous() {
        if (index > 0) {
          index--;
          return list.get(index);
        } else return null;
    }

    public boolean hasPrevious() {
        return index > 0;
    }

    // </editor-fold>

}
