/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package business.collections;

import business.base.IList;
import business.base.IListItem;
import business.entities.Student;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author balikm1
 */
public class StudentList implements IList {

    private List<Student> list = new ArrayList<Student>();
    private int index = 0;
    private static StudentList instance;

    private StudentList() { }

    public static StudentList getInstance()
    {
        if (instance == null)
        {
            instance = new StudentList();
        }
        return instance;
    }

    public void add(Student student)
    {
        list.add(student);
    }

    public void remove(Student student)
    {
        list.remove(student);
    }

    // <editor-fold defaultstate="collapsed" desc="IList methods">

    public IListItem current() {
        if (index < list.size())
            return list.get(index);
        else return null;
    }

    public IListItem next() {
        if (hasNext())
        {
            index++;
            return list.get(index);
        } else
            return null;
    }

    public boolean hasNext() {
        return index < list.size()-1;
    }

    public IListItem previous() {
        if (hasPrevious()) {
            index--;
            return list.get(index);
        } else
            return null;
    }

    public boolean hasPrevious() {
        return index > 0;
    }

    // </editor-fold>

}
