/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gui;

import business.base.IListItem;
import java.util.HashMap;
import javax.swing.JPanel;

/**
 *
 * @author balikm1
 */
public class ListPanel extends JPanel {
    
    IListItem item;

    /** Creates new ListPanel */
    public ListPanel(IListItem datasource) {
        this.item = datasource;
        initComponents();

    }

    // <editor-fold defaultstate="collapsed" desc="initComponents">
    private void initComponents() {

        if (item != null) {
            HashMap<String, String> rows = item.getPublicAttributes();
            setLayout(new java.awt.GridLayout(rows.size(), 2, 30, 3));
            for(String key : rows.keySet())
            {
                javax.swing.JPanel jPanel1 = new javax.swing.JPanel();
                javax.swing.JPanel jPanel2 = new javax.swing.JPanel();

                jPanel1.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));
                jPanel2.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

                javax.swing.JLabel jLabel1 = new javax.swing.JLabel();
                jLabel1.setText(key);
                jPanel1.add(jLabel1);

                javax.swing.JLabel jLabel2 = new javax.swing.JLabel();
                jLabel2.setText(rows.get(key)!= null ? rows.get(key) : "");
                jPanel2.add(jLabel2);

                add(jPanel1);
                add(jPanel2);
            }
        } else {
            setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));
            javax.swing.JLabel jLabel = new javax.swing.JLabel();
            jLabel.setText("Žádné položky");
            add(jLabel);
        }

    }

    // </editor-fold>


}
